{
    "name": "t3graf/setdefaultauthor",
    "type": "typo3-cms-extension",
    "description": "Defaults the author/email fields in pages and sys_notes to the info from the currently logged in user.",
    "authors": [
        {
            "name": "T3graf media-agentur Dev-Team",
            "role": "Developer"
        }
    ],
    "license": [
        "GPL-3.0-or-later"
    ],
    "minimum-stability": "dev",
    "prefer-stable": true,
    "require": {
        "typo3/cms-core": "^10.4",
        "typo3/cms-setup": "^10.4"
    },
    "require-dev": {
        "typo3/cms-backend": "^10.4",
        "typo3/cms-extbase": "^10.4",
        "typo3/cms-extensionmanager": "^10.4",
        "typo3/cms-fluid": "^10.4",
        "typo3/cms-frontend": "^10.4",
        "typo3/cms-install": "^10.4",
        "typo3/cms-rte-ckeditor": "^10.4",
        "typo3/cms-seo": "^10.4",
        "typo3-console/composer-typo3-auto-install": "^0.3",
        "helhum/typo3-console": "^5.8",
        "typo3-console/composer-auto-commands": "^0.4",
        "typo3/cms-beuser": "^10.4",
        "typo3/cms-sys-note": "^10.4",
        "typo3/cms-felogin": "^10.4",
        "typo3/cms-form": "^10.4",
        "typo3/cms-indexed-search": "^10.4",
        "typo3/cms-info": "^10.4",
        "typo3/cms-lowlevel": "^10.4",
        "bk2k/bootstrap-package": "^11.0",
        "georgringer/news": "^8.0",
        "typo3/cms-tstemplate": "^10.4",
        "friendsofphp/php-cs-fixer": "^2.3.1",
        "typo3/testing-framework": "^6.2",
        "bk2k/extension-helper": "^1.0",
        "overtrue/phplint": "^1.1",
        "helmich/typo3-typoscript-lint": "^1.4"
    },
    "autoload": {
        "psr-4": {
            "T3graf\\Setdefaultauthor\\": "Classes"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "T3graf\\Setdefaultauthor\\Tests\\": "Tests"
        }
    },
    "replace": {
        "t3graf/setdefaultauthor": "self.version",
        "typo3-ter/setdefaultauthor": "self.version"
    },
    "config": {
        "optimize-autoloader": true,
        "vendor-dir": ".build/vendor",
        "bin-dir": ".build/bin"
    },
    "scripts": {
        "test:php:lint": [
            "phplint -c .build/.phplint.yml"
        ],
        "test:php:unit": [
            "phpunit -c .build/UnitTests.xml"
        ],
        "test": [
            "@test:php:lint",
            "@test:php:unit"
        ],
        "cgl": [
            "php-cs-fixer --diff --config=.build/.php_cs.dist -v fix"
        ],
        "set-version": [
            "extension-helper version:set"
        ],
        "changelog": [
            "extension-helper changelog:create"
        ],
        "post-autoload-dump": [
            "mkdir -p .build/Web/typo3conf/ext/",
            "[ -L .build/Web/typo3conf/ext/setdefaultauthor ] || ln -snvf ../../../../. .build/Web/typo3conf/ext/setdefaultauthor"
        ]
    },
    "extra": {
        "typo3/cms": {
            "web-dir": ".build/Web",
            "app-dir": ".build"
        },
        "branch-alias": {
            "dev-develop": "10.2.x-dev"
        }
    }
}
